Subject: Re: What's cooking in git.git (Jan 2009, #02; Sun, 11)

From: Jakub Narebski <[email-masked]>
Date: Mon, 12 Jan 2009 02:25:29 +0100

On Sun, 11 Jan 2009, Junio C Hamano wrote:
> Jakub Narebski <[email-masked]> writes:
> 
>>> ----------------------------------------------------------------
>>> [Actively cooking]
>>>
>>> * sc/gitweb-category (Fri Dec 12 00:45:12 2008 +0100) 3 commits
>>>  - gitweb: Optional grouping of projects by category
>>>  - gitweb: Split git_project_list_body in two functions
>>>  - gitweb: Modularized git_get_project_description to be more generic
>>
>> This I think needs some further cooking.  I guess with addition of one
>> more patch to series categories could be sorted together with projects
>> they contain, and not always have to be in fixed ordering.
> 
> These should be moved to the Stalled category; nobody seems to be
> discussing improvements and sending updates to the series as far as I
> recall.

I think it is just the author being slow moving; there was quite
a bit of time between subsequent versions of this patch series.
But if Sebastien would not resend this series in about a week,
I'll try to clean it up, add fourth patch, and resend it.

As to lack of discussion: I think it is cause bu two issues. First,
there is support for tags already implemented which somewhat reduces
need for categories support. Second, hosting sites which have large
number of projects for which categories support might be a nice thing,
use I guess modified gitweb with caching, don't they?

>>> * gb/gitweb-patch (Thu Dec 18 08:13:19 2008 +0100) 4 commits
>>>  - gitweb: link to patch(es) view in commit(diff) and (short)log view
>>>  - gitweb: add patches view
>>>  - gitweb: change call pattern for git_commitdiff
>>>  - gitweb: add patch view
>>
>> If I remember correctly the only point of discussion is calling
>> convention for git_commitdiff, and whether 'patches' view should
>> (re)use git_commitdiff or use its own subroutine.
> 
> Thanks; I take it that it is basically usable, useful and can be
> incrementally improved in 'next'?

Yes, I think so. The changes are cosmetic in nature, and I think
the feature this patch adds is quite useful: you can now get patches
and [short] patch series from gitweb which you can apply using git-am.
Nice, isn't it?

-- 
Jakub Narebski
Poland